<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMssLatentFaultReport_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMssLatentFaultReport_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold the test status report of the latent fault tests data strucutre for event RL_DEV_AE_MSS_LATENTFLT_TEST_REPORT_SB.  
 <a href="structrl_mss_latent_fault_report__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7e16e30a9ba46e6eae1afc8c130abfec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e16e30a9ba46e6eae1afc8c130abfec"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_latent_fault_report__t.html#a7e16e30a9ba46e6eae1afc8c130abfec">testStatusFlg</a></td></tr>
<tr class="memdesc:a7e16e30a9ba46e6eae1afc8c130abfec"><td class="mdescLeft">&#160;</td><td class="mdescRight">1 - PASS, 0 - FAIL <br />
 Bits Definition <br />
 0 MibSPI self-test <br />
 1 DMA self-test <br />
 2 Reserved <br />
 3 RTI self-test <br />
 4 ESM self-test <br />
 5 EDMA self-test <br />
 6 CRC self-test <br />
 7 VIM self-test <br />
 8 Reserved <br />
 9 Mailbox self-test <br />
 10 LVDS pattern generation test <br />
 11 CSI2 pattern generation test <br />
 12 Generating NERROR <br />
 13 MibSPI single bit error test <br />
 14 MibSPI double bit error test <br />
 15 DMA Parity error <br />
 16 TCMA RAM single bit errors <br />
 17 TCMB RAM single bit errors <br />
 18 TCMA RAM double bit errors <br />
 19 TCMB RAM double bit errors <br />
 20 TCMA RAM parity errors. <br />
 21 TCMB RAM parity errors. <br />
 22 Reserved <br />
 23 Reserved <br />
 24 DMA MPU Region tests <br />
 25 MSS Mailbox single bit errors <br />
 26 MSS Mailbox double bit errors <br />
 27 radarSS Mailbox single bit errors <br />
 28 radarSS Mailbox double bit errors <br />
 29 EDMA MPU test <br />
 30 EDMA parity test <br />
 31 CSI2 parity test <br />
<br /></td></tr>
<tr class="separator:a7e16e30a9ba46e6eae1afc8c130abfec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d091321bfad2d22e1a923230d6708d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24d091321bfad2d22e1a923230d6708d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_latent_fault_report__t.html#a24d091321bfad2d22e1a923230d6708d">reserved0</a></td></tr>
<tr class="memdesc:a24d091321bfad2d22e1a923230d6708d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a24d091321bfad2d22e1a923230d6708d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold the test status report of the latent fault tests data strucutre for event RL_DEV_AE_MSS_LATENTFLT_TEST_REPORT_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
